This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1016415 - 802.1q VLAN sub interface cannot be created on veth interface
802.1q VLAN sub interface cannot be created on veth interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
unspecified Severity urgent
: beta
: 4.0
Assigned To: Thomas Graf
Jean-Tsung Hsiao
:
Depends On: 1018158
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 02:54 EDT by Midokura
Modified: 2013-12-04 12:58 EST (History)
5 users (show)

See Also:
Fixed In Version: kernel-2.6.32-425.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1018158 (view as bug list)
Environment:
Last Closed: 2013-12-04 12:52:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Midokura 2013-10-08 02:54:49 EDT
Description of problem:

The title says it all.


Version-Release number of selected component (if applicable):

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.32-358.118.1.openstack.el6.x86_64 #1 SMP Wed Aug 14 13:18:08 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

100%


Steps to Reproduce:
1. ip link add type veth
2. ip link add link veth0 name veth0.2 type vlan id 2


Actual results:

[root@localhost ~]# ip link add link veth0 name veth0.2 type vlan id 2
RTNETLINK answers: Operation not supported

[root@localhost ~]# dmesg  | tail -n 1
8021q: device veth0 has buggy VLAN hw accel


Expected results:

A new netdevice veth0.2 gets created without any errors. 


Additional info:

Below is the culprit and NETIF_F_HW_VLAN_RX flag seems strange for veth interface. 

net/8021q/vlan.c:

206        if ((real_dev->features & NETIF_F_HW_VLAN_RX) && !ops->ndo_vlan_rx_register) {
207                pr_info("8021q: device %s has buggy VLAN hw accel\n", name);
208                return -EOPNOTSUPP;
209        }
Comment 2 Thomas Graf 2013-10-11 06:48:41 EDT
(In reply to Midokura from comment #0)
> Below is the culprit and NETIF_F_HW_VLAN_RX flag seems strange for veth
> interface. 
> 
> net/8021q/vlan.c:
> 
> 206        if ((real_dev->features & NETIF_F_HW_VLAN_RX) &&
> !ops->ndo_vlan_rx_register) {
> 207                pr_info("8021q: device %s has buggy VLAN hw accel\n",
> name);
> 208                return -EOPNOTSUPP;
> 209        }

I agree, the NETIF_F_HW_VLAN_RX flag has been added by mistake when NETIF_F_HW_VLAN_TX was added.
Comment 4 Thomas Graf 2013-10-28 07:08:55 EDT
See:
https://bugzilla.redhat.com/show_bug.cgi?id=1018158#c7
Comment 5 Lon Hohberger 2013-12-04 12:52:04 EST
This is resolved by the RHEL 6.5 kernel.

Note You need to log in before you can comment on or make changes to this bug.